org.apache.catalina.core

## Class ApplicationMapping

- java.lang.Object
- - org.apache.catalina.core.ApplicationMapping

-     public class ApplicationMapping
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationMapping(MappingData mappingData)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationMappingImpl` | `getHttpServletMapping()`
    `static ApplicationMappingImpl` | `getHttpServletMapping(HttpServletRequest request)`
    `static ApplicationMappingImpl` | `getHttpServletMapping(HttpServletRequestWrapper wrapper)`
    `void` | `recycle()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationMapping

          public ApplicationMapping(MappingData mappingData)

  - ### Method Detail

    - #### getHttpServletMapping

          public ApplicationMappingImpl getHttpServletMapping()

    - #### recycle

          public void recycle()

    - #### getHttpServletMapping

          public static ApplicationMappingImpl getHttpServletMapping(HttpServletRequest request)

    - #### getHttpServletMapping

          public static ApplicationMappingImpl getHttpServletMapping(HttpServletRequestWrapper wrapper)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.